Android Question Conflict between two libraries

AbuElhaytham

Active Member
Licensed User
Hi all
when I added the two libraries: 'FirebaseAdMob2' and 'ExoPlayer' the application can't compile and I get this error:
B4X:
B4A Version: 11.00
Parsing code.    (0.00s)
    Java Version: 11
Building folders structure.    (0.04s)
Compiling code.    (0.01s)
Compiling layouts code.    (0.00s)
Organizing libraries.    (0.00s)
    (AndroidX SDK)
Compiling resources    (0.16s)
Linking resources    (0.55s)
Compiling debugger engine code.    (0.00s)
Compiling generated Java code.    (0.07s)
Convert byte code - optimized dex.    Error
Uncaught translation error: java.lang.IllegalArgumentException: already added: Lcom/google/common/util/concurrent/ListenableFuture;
1 error; aborting
 
Top